<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" lang="fr">
<head>
    <meta charset="utf-8"/>
    <title>Patients</title>
    <link rel="stylesheet"  href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
</head>
<body>

<div class="row"><h1>Page de gestion de <span th:text="${patientData.firstName}"></span> <span th:text="${patientData.lastName}"></span></h1></div>

<div class="row"><h3>Liste des informations du patient</h3></div>
<div class="row" style="padding-left: 50px; max-width: 95%">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Id</th>
            <th>Prénom</th>
            <th>Nom</th>
            <th>Date de naissance</th>
            <th>Genre</th>
            <th>Adresse</th>
            <th>Numéro</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <td th:text="${patientData.id}"></td>
            <td th:text="${patientData.firstName}"></td>
            <td th:text="${patientData.lastName}"></td>
            <td th:text="${patientData.birthday}"></td>
            <td th:text="${patientData.gender}"></td>
            <td th:text="${patientData.postaleAddress}"></td>
            <td th:text="${patientData.phoneNumber}"></td>
        </tr>
        </tbody>
    </table>
</div>
<br>

<div class="row">
    <h3>Liste des notes du patient</h3></div>
<div class="row" style="padding-left: 50px; max-width: 95%">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Date</th>
            <th>Id du patient</th>
            <th>Note</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="notesList : ${notesList}">
            <td th:text="${notesList.date}"></td>
            <td th:text="${notesList.patientId}"></td>
            <td th:text="${notesList.note}"></td>
        </tr>
        </tbody>
    </table>
</div>
<a style="text-decoration: none; padding-top: 20px; font-size: 22px" th:href="@{/note/add/{id}(id=${patientData.id})}">Ajouter une nouvelle Note</a>
<br>

<div class="row"><h3>Etat du patient : <span th:text="${patientReport}"></span></h3></div>

</body>
</html>